# -*- coding: utf-8 -*-
from django.contrib import admin
from django.utils.translation import gettext_lazy as _
from thx.filters.admin import AdvancedSearchModelAdmin
from trench.models import MFAMethod


class MFAMethodAdmin(AdvancedSearchModelAdmin, admin.ModelAdmin):
    advanced_search_fields = (
        ("user__username__icontains", "user__email__icontains",),
    )
    list_filter = ("is_active", "is_primary")
    fieldsets = (
        (_("general information"), {
            "fields": ("user", "name", "secret", "is_primary", "is_active", "backup_codes"),
        }),
    )
    list_display = ("user", "name", "is_primary", "is_active",)
    list_display_links = ("user", "name",)
    autocomplete_fields = ("user", )
    readonly_fields = ("secret", "backup_codes",)


admin.site.unregister(MFAMethod)
admin.site.register(MFAMethod, MFAMethodAdmin)
